Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Interface GrailsTagLibClass

All Superinterfaces:
  GrailsClass, InjectableGrailsClass

All Known Implementing Classes:
  DefaultGrailsTagLibClass

    public interface GrailsTagLibClass

extends InjectableGrailsClass

Represents a Grails tab library class

Since:
  Jan 14, 2006
Author:
  Graeme Rocher

Field Summary
`static String` | `DEFAULT_NAMESPACE`
`static String` | `NAMESPACE_FIELD_NAME`
`static String` | `RETURN_OBJECT_FOR_TAGS_FIELD_NAME`
`static String` | `SUPPORTS_CONTROLLER` The name of the application (ie global) tag library appropriate for all controller classes

Method Summary
`String` | `getNamespace()`
`Set<String>` | `getTagNames()`
`Set<String>` | `getTagNamesThatReturnObject()`
`boolean` | `hasTag(String tagName)`
`boolean` | `supportsController(GrailsControllerClass controllerClass)` Whether this tag library supports the specified controller

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, newInstance`

Field Detail

### DEFAULT_NAMESPACE

    static final String DEFAULT_NAMESPACE

See Also:
  Constant Field Values

### SUPPORTS_CONTROLLER

    static final String SUPPORTS_CONTROLLER

  The name of the application (ie global) tag library appropriate for all controller classes

  See Also:
    Constant Field Values

### NAMESPACE_FIELD_NAME

    static final String NAMESPACE_FIELD_NAME

See Also:
  Constant Field Values

### RETURN_OBJECT_FOR_TAGS_FIELD_NAME

    static final String RETURN_OBJECT_FOR_TAGS_FIELD_NAME

See Also:
  Constant Field Values

Method Detail

### supportsController

    boolean supportsController(GrailsControllerClass controllerClass)

  Whether this tag library supports the specified controller

  Parameters:
    `controllerClass` - The controllerClass to check
  Returns:
    True if the controller is supported

### hasTag

    boolean hasTag(String tagName)

  Parameters:
    `tagName` - The name of the tag
  Returns:
    Whether the tag library contains the specified tag

### getTagNames

    Set<String> getTagNames()

  Returns:
    The tag names in this library

### getTagNamesThatReturnObject

    Set<String> getTagNamesThatReturnObject()

### getNamespace

    String getNamespace()

  Returns:
    the namespace that this taglib occupies.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project